[arch-commits] Commit in eclipse-cdt/trunk (PKGBUILD)

Paul Mattal paul at archlinux.org
Mon Jul 28 23:19:48 EDT 2008


    Date: Monday, July 28, 2008 @ 23:19:48
  Author: paul
Revision: 7287

upgpkg: eclipse-cdt 5.0.0-1
    update to 5.0.0, switch to using dropins

Modified:
  eclipse-cdt/trunk/PKGBUILD

----------+
 PKGBUILD |   18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-29 01:10:32 UTC (rev 7286)
+++ PKGBUILD	2008-07-29 03:19:48 UTC (rev 7287)
@@ -2,24 +2,24 @@
 # Contributor: Paul Mattal <paul at mattal.com>
 # Maintainer: Paul Mattal <paul at archlinux.org>
 pkgname=eclipse-cdt
-pkgver=4.0.1
+pkgver=5.0.0
 pkgrel=1
 pkgdesc="C/C++ Plugin for Eclipse"
 arch=(i686 x86_64)
 url="http://www.eclipse.org/cdt"
 license=("EPL")
-depends=('eclipse>=3.3')
-makedepends=()
-conflicts=()
-replaces=()
-backup=()
+depends=('eclipse>=3.4')
 install=
-source=(http://download.eclipse.org/tools/cdt/releases/europa/dist/cdt-master-$pkgver.zip)
-md5sums=('caf2aee8d43eb544a862ce99a8f7fdac')
+source=(http://download.eclipse.org/tools/cdt/releases/ganymede/dist/cdt-master-$pkgver.zip)
+md5sums=('1dfc4bd210b2c632a69a44fb8f0d821b')
+noextract=("cdt-master-$pkgver.zip")
 
 build() {
-  installdir=$startdir/pkg/usr/share
+  installdir=$startdir/pkg/opt/eclipse/dropins
 
+  cd $startdir/src || return 1
+  unzip cdt-master-$pkgver.zip || return 1
+
   mkdir -p $installdir/eclipse || return 1
   cp -a $startdir/src/features $installdir/eclipse || return 1
   cp -a $startdir/src/plugins $installdir/eclipse || return 1





More information about the arch-commits mailing list